unit PreviewFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
  Controls, Forms, Dialogs,
  RichView, PtblRV, RVScroll, CRVPP, RVPP;

type
  TfrmPreview = class(TForm)
    RVPrintPreview1: TRVPrintPreview;
    RVPrint1: TRVPrint;
  private
    { Private declarations }
  public
    { Public declarations }
    constructor CreatePreview(RV: TCustomRichView);
  end;


implementation

{$R *.dfm}

{ TfrmPreview }

constructor TfrmPreview.CreatePreview(RV: TCustomRichView);
begin
  inherited Create(Application);
  RVPrint1.AssignSource(RV);
  RVPrint1.FormatPages(rvdoALL);
  // RVPrint1 uses VirtualPrinter parameters
  RVPrintPreview1.ZoomMode := rvzmCustom;
  RVPrintPreview1.ZoomPercent := 100;
end;

end.
